Admiral
Components

Set a tag

PUT
/v1/components/{component_id}/tags/{name}

Scope: component:publish

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

component_id*component_id

The component_id path parameter.

Formatuuid
name*name

The name path parameter.

Match^[A-Za-z0-9][A-Za-z0-9._+-]{0,127}$
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

SetTagRequest points a tag at a revision.

Response Body

application/json

curl -X PUT "https://example.com/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags/string" \  -H "Content-Type: application/json" \  -d '{    "digest": "string"  }'
{  "tag": {    "name": "string",    "digest": "string",    "immutable": true,    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z"  }}